Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class GroovyDocWriter

- org.codehaus.groovy.tools.groovydoc.GroovyDocWriter

-     public class GroovyDocWriter
      extends Object

  Write GroovyDoc resources to destination.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyDocWriter(GroovyDocTool tool, OutputTool output, GroovyDocTemplateEngine templateEngine, Properties properties)` deprecated: Use GroovyDocWriter(OutputTool, GroovyDocTemplateEngine, Properties)
    `GroovyDocWriter(OutputTool output, GroovyDocTemplateEngine templateEngine, Properties properties)` Creates a writer with no source-path information (resource files will not be copied).
    `GroovyDocWriter(OutputTool output, GroovyDocTemplateEngine templateEngine, Properties properties, String[] sourcepaths)` Creates a writer with source-path information used to locate and mirror resource directories.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `writeClassToOutput(GroovyClassDoc classDoc, String destdir)` Writes the HTML page for a single class doc if its visibility matches the configured scope.
    `` | `public void` | `writeClasses(GroovyRootDoc rootDoc, String destdir)` Writes HTML for every class in the root doc to the destination directory.
    `` | `public void` | `writePackageToOutput(GroovyPackageDoc packageDoc, String destdir)` Writes all package-level template output for a single package doc to the destination directory.
    `` | `public void` | `writePackages(GroovyRootDoc rootDoc, String destdir)` Writes package-level HTML pages and the `package-list` file to the destination directory.
    `` | `public void` | `writeRoot(GroovyRootDoc rootDoc, String destdir)` Creates the output area and writes the root-level documentation pages.
    `` | `public void` | `writeRootDocToOutput(GroovyRootDoc rootDoc, String destdir)` Writes each root-level template to the destination directory, skipping disabled pages and copying binary resources verbatim.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### @Deprecated
      public GroovyDocWriter(GroovyDocTool tool, OutputTool output, GroovyDocTemplateEngine templateEngine, Properties properties)

      deprecated:
        Use GroovyDocWriter(OutputTool, GroovyDocTemplateEngine, Properties)

    - #### public GroovyDocWriter(OutputTool output, GroovyDocTemplateEngine templateEngine, Properties properties)

      Creates a writer with no source-path information (resource files will not be copied).

    - #### public GroovyDocWriter(OutputTool output, GroovyDocTemplateEngine templateEngine, Properties properties, String[] sourcepaths)

      Creates a writer with source-path information used to locate and mirror resource directories.

      Since:
        6.0.0

  - ### Method Detail

    - #### public void writeClassToOutput(GroovyClassDoc classDoc, String destdir)

      Writes the HTML page for a single class doc if its visibility matches the configured scope.

    - #### public void writeClasses(GroovyRootDoc rootDoc, String destdir)

      Writes HTML for every class in the root doc to the destination directory.

    - #### public void writePackageToOutput(GroovyPackageDoc packageDoc, String destdir)

      Writes all package-level template output for a single package doc to the destination directory.

    - #### public void writePackages(GroovyRootDoc rootDoc, String destdir)

      Writes package-level HTML pages and the `package-list` file to the destination directory.

    - #### public void writeRoot(GroovyRootDoc rootDoc, String destdir)

      Creates the output area and writes the root-level documentation pages.

    - #### public void writeRootDocToOutput(GroovyRootDoc rootDoc, String destdir)

      Writes each root-level template to the destination directory, skipping disabled pages and copying binary resources verbatim.